export interface Moment {
  // {
  //     author: {
  //       avatar: 'https://via.placeholder.com/35x35',
  //       nickname: '苏小萌',
  //       level: '0',
  //     },
  //     content: '用心做好设计，为客户创造美好家居环境',
  //     images: ['https://via.placeholder.com/165x220'],
  //     tags: ['意大利游学设计班'],
  //     shares: 0,
  //     comments: 0,
  //     likes: 0,
  //     createdAt: dayjs('2024-07-15').toDate(),
  //   },
  author: {
    avatar: string
    nickname: string
    level: string
  }
  content: string
  images: string[]
  tags: string[]
  shares: number
  comments: number
  likes: number
  createdAt: Date
  commentList?: Comment[]
}
export interface Comment {
  id: number
  circleId: number
  userId: number
  userName: string
  userAvatar: string
  reviewContent: string
  upvoteCount: any
  replayReviewId: any
  reviewTime: number
  createTime: number
  replayToUserName: any
  replayToUserId: any
  replayFirstId: any
  upvote: boolean
  ownDel: boolean
}
export interface Task {
  id: number
  taskKey: string
  taskValue: string
  createTime: string
  sort: number
  status: number
}
export interface MaterialDealer {
  id: number
  logoUrl: string
  materialsName: string
  materialsType: number
  brandLevel: number
  manageType: number
  manageBrand: number
  brandType: number
  storeAddress: string
  storeName: string
  contactPerson: string
  contactPhone: string
  invoiceTitle: string
  taxpayerNumber: string
  invoiceAddr: string
  bankDeposit: string
  agreementFileUrl: string
  virtualArrival: number
  status: string
  createTime: string
  points: number
  clockPoints: string
  orderCount: number
}
export interface ShopList {
  id: number
  materialsId: number
  shopAddr: string
  shopName: string
  shopContactPerson: string
  shopContactPhone: string
}
export interface MaterialsList {
  id: number
  logoUrl: string
  materialsName: string
  materialsType: number
  brandLevel: number
  manageType: number
  manageBrand: number
  brandType: number
  invoiceTitle: string
  taxpayerNumber: string
  invoiceAddr: string
  bankDeposit: string
  virtualArrival: number
  status: string
  points: number
  shopList: ShopList[]
  clockCount: number
}
export interface MaterialDealerRes {
  brandLevel: number
  brandLevelName: string
  pointsRate: number
  materialsList: MaterialsList[]
}
export interface FodderList {
  createTime: number
  updateTime: number
  creator: string
  updater: string
  deleted: boolean
  id: number
  materialsId: number
  fodderUrl: string
}
export interface ProductDolist {
  createTime: number
  updateTime: number
  creator: string
  updater: string
  deleted: boolean
  id: number
  materialsId: number
  productTitleId: any
  productTitleName: string
  productImgUrl: string
}
export interface MaterialDealerDetail extends MaterialDealer {
  shopList: ShopList[]
}
export interface MaterialDealerHomePage {
  materialsId: any
  bannerUrl: string
  brandAdvantageUrl: string
  brandAdvantageDesc: string
  fodderList: FodderList[]
  productDOList: ProductDolist[]
}
export interface Content {
  id: number
  /**
   * 内容类型 - 0: 设计游学
   */
  contentType: string
  /**
   * 内容类型名称
   */
  contentTypeName: string
  /**
   * 内容分类
   */
  contentCategory: string
  /**
   * 内容分类名称
   */
  contentCategoryName: string
  /**
   * 内容标题
   */
  title: string
  /**
   * 班级
   */
  classGrade: string
  /**
   * 游学开始时间
   */
  studyStartDate: string
  /**
   * 游学结束时间
   */
  studyEndDate: string
  /**
   * 游学人数
   */
  studyPersonCount: number
  /**
   * 领队
   */
  studyLeader: string
  /**
   * 班长
   */
  studyMonitor: string
  bannerUrl: string
  /**
   * 内容详情
   */
  contentDetail: string
  /**
   * 期数
   */
  periodsCount: number
  /**
   * 活动，举办开始时间
   */
  hostDate: string
  /**
   * 举办方
   */
  activityHost: string
  /**
   * 赞助品牌
   */
  supportBrand: string
  /**
   * 状态 - 0: 正常, 1: 停用
   */
  status: number
  viewsCount: number
  viewCount30Day: number
  createTime: string
}
export interface Category {
  id: number
  name: string
  code: string
  sort: number
  parentId: any
  level: number
  children?: Category[]
}
export interface Activity {
  id: number
  name: string
  activityType: string
  /**
   * 报名开始时间 or 计划报名时间
   */
  applyStartTime: string
  studyStartTime: string
  /**
   * 报名结束时间 or 计划报名截止时间
   */
  applyEndTime: string
  /**
   * 报名状态 or 计划游学名额开关
   */
  applyStatus: string
  /**
   * 计划报名人员 or 计划游学名额
   */
  applyNumber: string
  /**
   * 游学年度
   */
  studyYear: string
  /**
   * 活动开始时间
   */
  activityStartTime: string
  /**
   * 活动结束时间
   */
  activityEndTime: string
  /**
   * 活动名额（限制，不限制）
   */
  activityAllowType: string
  /**
   * 活动名额大小
   */
  activityAllowCount: number
  /**
   * 活动地点
   */
  activityAddr: string
  /**
   * 是否需要积分（需要，不需要）
   */
  needPointsType: string
  /**
   * 需要积分大小
   */
  needPointsCount: number
  /**
   * 活动徽章
   */
  badgeId: number
  /**
   * 会员等级(多选)
   */
  memberLevel: any[]
  /**
   * banner地址
   */
  bannerUrl: string
  /**
   * 缩略图地址
   */
  thumbnailUrl: string
  /**
   * 详情页背景图地址
   */
  backgroundUrl: string
  /**
   * 活动介绍
   */
  activityDesc: string
  /**
   * 展示状态
   */
  showStatus: number
  /**
   * 是否首页推荐
   */
  headRecommend: number
  /**
   * 浏览量
   */
  viewCount: number
  createTime: string
  /**
   * 已报名
   */
  ifSingnUp: boolean
}
/**
 * 学习计划对象
 * @typedef {Object} StudyPlan
 * @property {number} id - 唯一标识符，表示该学习计划的ID
 * @property {string} name - 学习计划的名称
 * @property {string} studyType - 学习类型，例如在线学习、面授课程等
 * @property {number} planApplyStartTime - 申请开始时间的时间戳
 * @property {number} planApplyEndTime - 申请结束时间的时间戳
 * @property {number} planStudyStartTime - 学习计划开始时间的时间戳
 * @property {number} planStudyEndTime - 学习计划结束时间的时间戳
 * @property {any} planStudyAllowType - 允许的学习方式类型，可能是枚举或字符串
 * @property {any} planStudyAllowCount - 允许的学习次数，可能是数字或其他类型
 * @property {string} studyYear - 学习年度，例如2023
 * @property {any} memberLevel - 参与学习计划所需的会员等级，可能是数字或字符串
 * @property {any} needPointsType - 所需积分类型，可能是枚举或字符串
 * @property {any} needPointsCount - 所需积分数量，可能是数字或其他类型
 * @property {any} badgeId - 相关的徽章ID，可能是数字或字符串
 * @property {any} applyStartTime - 实际申请开始时间，可能是时间戳或其他格式
 * @property {any} applyEndTime - 实际申请结束时间，可能是时间戳或其他格式
 * @property {string} applyStatus - 申请状态，例如“开放”、“关闭”等
 * @property {any} studyStartTime - 实际学习开始时间，可能是时间戳或其他格式
 * @property {any} studyEndTime - 实际学习结束时间，可能是时间戳或其他格式
 * @property {any} studyAllowType - 实际允许的学习方式类型，可能是枚举或字符串
 * @property {any} studyAllowCount - 实际允许的学习次数，可能是数字或其他类型
 * @property {any} bannerUrl - 横幅图像的URL，用于展示
 * @property {any} thumbnailUrl - 缩略图的URL，用于展示
 * @property {any} backgroundUrl - 背景图像的URL，用于展示
 * @property {any} studyDesc - 学习计划的描述信息
 * @property {any} isTravelPlan - 是否为旅行计划，可能是布尔值或其他类型
 * @property {string} showStatus - 显示状态，例如“可见”、“隐藏”等
 * @property {string} headRecommend - 推荐信息或标语
 * @property {any} viewCount - 查看次数，可能是数字或其他类型
 * @property {number} createTime - 创建时间的时间戳
 * @property {boolean} ifSingnUp - 是否已经报名，布尔值
 */
export interface StudyTour {
  id: number
  name: string
  studyType: string
  planApplyStartTime: number
  planApplyEndTime: number
  planStudyStartTime: number
  planStudyEndTime: number
  planStudyAllowType: any
  planStudyAllowCount: any
  studyYear: string
  memberLevel: any
  needPointsType: any
  needPointsCount: any
  badgeId: any
  applyStartTime: any
  applyEndTime: any
  applyStatus: string
  studyStartTime: any
  studyEndTime: any
  studyAllowType: any
  studyAllowCount: any
  bannerUrl: any
  thumbnailUrl: any
  backgroundUrl: any
  studyDesc: any
  isTravelPlan: any
  showStatus: string
  headRecommend: string
  viewCount: any
  createTime: number
  ifSingnUp: boolean
}
export interface Banner {
  id: number
  name: string
  modeType: BannerMode
  /**
   * 轮播图图片
   */
  bannerImgUrl: string
  /**
   * 轮播图详情类型
   */
  bannerDetailsType: string
  /**
   * 轮播图链接
   */
  bannerLinkUrl: string
  /**
   * 轮播图详情内容
   */
  bannerDetailsContent: any
  /**
   * 状态 - 0: 正常, 1: 停用
   */
  status: number
  /**
   * 浏览量
   */
  viewCount: any
  /**
   * 设计游学年份
   */
  designStudyAbroadYear: any
  /**
   * 设计游学描述
   */
  designDesc: any
  createTime: number
}
export enum DictType {
  /**
   *  擅长空间类型
   */
  memberSpatialExpertiseType = 'member_spatial_expertise_type',
  /**
   * 设计风格
   */
  memberDesignStyle = 'member_design_style_type',
  /**
   * 圈子标签
   */
  circleTag = 'basic_set_label_type',
  /**
   * 材料商品牌等级
   */
  memberMaterialsBrandLevel = 'member_materials_brand_level',
  /**
   * 材料商运营类型
   */
  memberMaterialsOperationType = 'member_materials_operation_type',
  /**
   * 内容分类-线下活动
   */
  offlineActivity = 'offline_activity',
  /**
   * 材料商-品牌-类型
   */
  memberMaterialsBrandType = 'member_materials_brand_type',
  /**
   * 材料商-经营-品牌
   */
  materialsManageBrand = 'member_materials_manage_brand',
  /**
   * 活动类型
   */
  MemberActivityType = 'member_activity_type',
}
export enum CircleType {
  moment = '1',
  case = '2',
}
export enum BannerMode {
  /**
   * 材料商
   */
  Material = 1,
  /**
   * 设计传播
   */
  Spread = 2,
  /**
   * 品质商城
   */
  Mall = 3,
  /**
   * 设计奖项
   */
  DesignAwards = 4,
  /**
   * 设计游学
   */
  StudyTour = 5,
}
